Loading...
Searching...
No Matches
ScaffoldNetwork.h File Reference
`#include <RDGeneral/export.h>`
`#include <vector>`
`#include <map>`
`#include <string>`
`#include <sstream>`
`#include <memory>`
`#include <iostream>`

Go to the source code of this file.

## Classes

struct | RDKit::ScaffoldNetwork::ScaffoldNetworkParams
struct | RDKit::ScaffoldNetwork::NetworkEdge
struct | RDKit::ScaffoldNetwork::ScaffoldNetwork

## Namespaces

namespace | RDKit
| Std stuff.
namespace | RDKit::ScaffoldNetwork

## Enumerations

enum class | RDKit::ScaffoldNetwork::EdgeType { RDKit::ScaffoldNetwork::Fragment = 1 , RDKit::ScaffoldNetwork::Generic = 2 , RDKit::ScaffoldNetwork::GenericBond = 3 , RDKit::ScaffoldNetwork::RemoveAttachment = 4 , RDKit::ScaffoldNetwork::Initialize = 5 }

## Functions

template<typename T>
void | RDKit::ScaffoldNetwork::updateScaffoldNetwork (const T &mols, ScaffoldNetwork &network, const ScaffoldNetworkParams &params)
| update an existing ScaffoldNetwork using a set of molecules
template<typename T>
ScaffoldNetwork | RDKit::ScaffoldNetwork::createScaffoldNetwork (const T &mols, const ScaffoldNetworkParams &params)
| create a new ScaffoldNetwork for a set of molecules
std::ostream & | RDKit::ScaffoldNetwork::operator<< (std::ostream &ostr, const RDKit::ScaffoldNetwork::EdgeType &e)
| allows nodes to output nicely as strings
std::ostream & | RDKit::ScaffoldNetwork::operator<< (std::ostream &ostr, const RDKit::ScaffoldNetwork::NetworkEdge &e)
| allows edges to output nicely as strings
RDKIT_SCAFFOLDNETWORK_EXPORT ScaffoldNetworkParams | RDKit::ScaffoldNetwork::getBRICSNetworkParams ()